$(function (){
	var chWidth = $('#chajian').width();
	var len = $('#chajian>ul>li').length;
	var index = 0;
	var pictime;

	var btn = '<div class="btnbg"></div><div class="btn">';
	for (var i = 0; i < len; i++) {
		btn += '<span></span>';
	};
	btn += '</div>';
	$('#chajian').append(btn);

	// $('.btnbg').css('opacity',0.5);
	$('.btn span').css('opacity',0.4).mouseenter(function() {
		index = $('.btn span').index(this);
		showPic(index);
	}).eq(0).trigger('mouseenter');
	$('#chajian').hover(function() {
		clearInterval(pictime);
	}, function() {
		pictime = setInterval(function(){
			showPic(index);
			index++;
			if (index==len) {index=0};
		},4000)
	}).trigger('mouseleave');
	$("#chajian>ul>li").css('width',chWidth);
	$("#chajian>ul>li img").css('width',chWidth);
	$("#chajian>ul").css('width',chWidth*(len));
	function showPic(index){
		var nowleft = -index*chWidth;
		$('#chajian>ul').stop().animate({'left':nowleft}, 300);
		$('.btn span').stop(true,false).animate({'opacity':'0.4'}, 300).eq(index).stop(true, false).animate({'opacity':'1'}, 300);
	};

	//对翻页的样式的事件
	$('.pagination1>ul>li').eq(1).find('a').addClass('current');
	$('.pagination1>ul>li').click(function(){
		$(this).find('a').addClass('current');
		$(this).siblings().find('a').removeClass('current');
	});
	$('.pagination2>ul>li').eq(1).find('a').addClass('current');
	$('.pagination2>ul>li').click(function(){
		$(this).find('a').addClass('current');
		$(this).siblings().find('a').removeClass('current');
	});
});